# ELG API design documents and Java bindings

This repository contains the initial design documents for the European Language Grid internal LT service API - the official public API documentation is now published as part of the ELG platform documentation on [readthedocs](https://european-language-grid.readthedocs.io/en/stable/all/A3_API/LTInternalAPI.html), the source for which is in the [ELG platform documentation](https://gitlab.com/european-language-grid/platform/elg-platform-documentation) repository on this GitLab.

This repository also hosts the [elg-java-bindings library](java/), which is a library of Java POJO classes annotated with [Jackson](https://github.com/FasterXML/jackson) annotations that provide a Java object representation of the ELG API messages.  This library is used by all core ELG Java components including the [restserver](https://gitlab.com/european-language-grid/ilsp/elg-lt-service-execution-all), [Micronaut](https://gitlab.com/european-language-grid/platform/lt-service-micronaut) and [Spring Boot](https://gitlab.com/european-language-grid/platform/elg-spring-boot-starter) helper tools, and the [i18n resolver service](https://gitlab.com/european-language-grid/platform/i18n-service), but can be used by any other Java-based project that wishes to interact with the ELG APIs.
